import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/vipold/` + url, ...arg)

/**
 * 旧版会员Api接口管理器
 *
 * @author 徐超
 * @date  2025/06/26 22:07
 **/
export default {
	// 获取旧版会员分页
	bizVipOldPage(data) {
		return request('page', data, 'get')
	},
	// 提交旧版会员表单 edit为true时为编辑，默认为新增
	bizVipOldSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除旧版会员
	bizVipOldDelete(data) {
		return request('delete', data)
	},
	// 获取旧版会员详情
	bizVipOldDetail(data) {
		return request('detail', data, 'get')
	}
}
